<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1NameGenerator.html">NameGenerator</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::NameGenerator Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1NameGenerator.html">Ogre::NameGenerator</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NameGenerator.html#acc90af4a30f10807b5c30c1488057a8f">generate</a>()</td><td><a class="el" href="classOgre_1_1NameGenerator.html">Ogre::NameGenerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NameGenerator.html#a6352fb6e68dab3929a19e143b0b43b06">getNext</a>() const </td><td><a class="el" href="classOgre_1_1NameGenerator.html">Ogre::NameGenerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NameGenerator.html#a2785ce727ff4ac410b3609b0a398fa06">mNext</a></td><td><a class="el" href="classOgre_1_1NameGenerator.html">Ogre::NameGenerator</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NameGenerator.html#a6a6ba84d07db73c58e7e4c92f9e3a951">mPrefix</a></td><td><a class="el" href="classOgre_1_1NameGenerator.html">Ogre::NameGenerator</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NameGenerator.html#a7a48550029dc105b1c08c0f03a836124">NameGenerator</a>(const NameGenerator &amp;rhs)</td><td><a class="el" href="classOgre_1_1NameGenerator.html">Ogre::NameGenerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NameGenerator.html#a7e43dbb4439d4c8bfc743dfd2232512f">NameGenerator</a>(const String &amp;prefix)</td><td><a class="el" href="classOgre_1_1NameGenerator.html">Ogre::NameGenerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NameGenerator.html#a287069b27325690628d7cd306029ffc3">reset</a>()</td><td><a class="el" href="classOgre_1_1NameGenerator.html">Ogre::NameGenerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NameGenerator.html#a3b110d2ac699bf0ec00b5559f98527cd">setNext</a>(unsigned long long int val)</td><td><a class="el" href="classOgre_1_1NameGenerator.html">Ogre::NameGenerator</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
